FROM jboss/wildfly:15.0.1.Final
ADD https://gitlab.com/teammove/utils/docker-web/raw/master/Wildfly-Gerente/standalone-custom.xml /opt/jboss/wildfly/standalone/configuration/
ADD https://gitlab.com/teammove/utils/docker-web/raw/master/Wildfly-Gerente/BuildOnlyScheduler/GerenteTW-1.0.war /opt/jboss/wildfly/standalone/deployments/GerenteTW.war
ADD https://gitlab.com/teammove/utils/docker-web/raw/master/Wildfly-Gerente/site-iniciando.html /opt/jboss/wildfly/welcome-content/index.html
ADD https://gitlab.com/teammove/utils/docker-web/raw/master/Wildfly-Gerente/site-iniciando.html /opt/jboss/wildfly/welcome-content/index_noconsole.html

RUN sed -i -- 's/JAVA_OPTS="-Xms64m -Xmx512m /JAVA_OPTS="-Xms8g -Xmx8g -Xss228k -XX:MaxPermSize=512m -XX:PermSize=128m -XX:NewRatio=2 -XX:NewSize=448m -XX:MaxNewSize=448m -XX:SurvivorRatio=6 /g' /opt/jboss/wildfly/bin/standalone.conf
RUN echo "JAVA_OPTS=\"\${JAVA_OPTS} -server -XX:+UseG1GC -XX:+UseLargePages -XX:+UseStringDeduplication -XX:+UseCompressedOops -XX:ReservedCodeCacheSize=384m -XX:+UseCodeCacheFlushing -Djava.awt.headless=true -Dfile.encoding=UTF-8 -Djava.net.preferIPv4Stack=true -Dsun.rmi.dgc.client.gcInterval=3600000 -Dsun.rmi.dgc.server.gcInterval=3600000 -Duser.Timezone=GMT-3 \"" >> /opt/jboss/wildfly/bin/standalone.conf

USER root

# Update repository configurations
RUN sed -i 's|^mirrorlist=|#mirrorlist=|g' /etc/yum.repos.d/CentOS-Base.repo && \
    sed -i 's|^#baseurl=http://mirror.centos.org|baseurl=http://vault.centos.org|g' /etc/yum.repos.d/CentOS-Base.repo

RUN yum install -y git
RUN yum update -y tzdata
RUN ln -sf /usr/share/zoneinfo/America/Recife /etc/localtime
RUN mkdir /root/.ssh/
RUN ssh-keyscan -H gitlab.com >> ~/.ssh/known_hosts

RUN mkdir -p /opt/jboss/wildfly/standalone/data/upload/
RUN mkdir -p /opt/jboss/wildfly/standalone/data/config/
RUN echo 'ambiente-desenvolvimento=false' > /opt/jboss/wildfly/standalone/data/config/system.properties
RUN chown jboss.jboss /opt/jboss/wildfly/standalone/configuration/standalone-custom.xml
RUN chmod 644 /opt/jboss/wildfly/standalone/configuration/standalone-custom.xml
RUN chown jboss.jboss /opt/jboss/wildfly/standalone/deployments/GerenteTW.war
RUN chmod 777 /opt/jboss/wildfly/standalone/deployments/GerenteTW.war
RUN chown -R jboss.jboss /opt/jboss/wildfly/standalone/data/
RUN chmod -R 777 /opt/jboss/wildfly/standalone/data/
RUN chown jboss.jboss /opt/jboss/wildfly/welcome-content/index.html
RUN chown jboss.jboss /opt/jboss/wildfly/welcome-content/index_noconsole.html
RUN chmod 777 /opt/jboss/wildfly/welcome-content/index.html
RUN chmod 777 /opt/jboss/wildfly/welcome-content/index_noconsole.html

RUN yum install -y rpm-build wget
RUN wget https://gitlab.com/teammove/utils/docker-web/raw/master/msttcore-fonts-2.0-3.noarch.rpm
RUN rpm -Uvh msttcore-fonts-2.0-3.noarch.rpm

USER jboss

RUN /opt/jboss/wildfly/bin/add-user.sh supervisor tmoveadm --silent
CMD ["/opt/jboss/wildfly/bin/standalone.sh", "-c", "standalone-custom.xml", "-b", "0.0.0.0", "-bmanagement", "0.0.0.0"]
